package com.tzld.piaoquan.growth.common.dao.mapper;


import com.tzld.piaoquan.growth.common.model.po.PushMessageCallback;
import com.tzld.piaoquan.growth.common.model.po.PushMessageCallbackExample;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Mapper
@Repository
public interface PushMessageCallbackMapper {
    long countByExample(PushMessageCallbackExample example);

    int deleteByExample(PushMessageCallbackExample example);

    int deleteByPrimaryKey(Long id);

    int insert(PushMessageCallback row);

    int insertSelective(PushMessageCallback row);

    List<PushMessageCallback> selectByExample(PushMessageCallbackExample example);

    PushMessageCallback selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("row") PushMessageCallback row, @Param("example") PushMessageCallbackExample example);

    int updateByExample(@Param("row") PushMessageCallback row, @Param("example") PushMessageCallbackExample example);

    int updateByPrimaryKeySelective(PushMessageCallback row);

    int updateByPrimaryKey(PushMessageCallback row);

    int insertList(@Param("list") List<PushMessageCallback> list);
}